path: /build/build/redis-dev-db-7.4.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-systemd -tcmalloc -test ssl" emerge dev-db/redis -pv -t
  - |
    USE="-systemd -tcmalloc -test ssl" emerge -j ${JOBS} --nodeps dev-db/redis
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/redis && luet-portage --dir
    /pkgdir/redis dev-db/redis
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:ad2e99229b39f145ae9e73019792ff4dc500581d840b397fa3b852cd3936b6be
  package:
    name: redis
    version: 7.4.2
    category: dev-db
    use_flags:
    - -systemd
    - -tcmalloc
    - -test
    - ssl
    requires:
    - name: macaroni-funtoo-race8
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A persistent caching system, key-value and data structures database
    uri:
    - https://redis.io
    license: BSD
    buildtimestamp: 2025-03-27 01:02:06.614890218 +0000 UTC m=+226.620989035
    labels:
      BDEPEND: ssl? ( dev-libs/openssl:0= ) systemd? ( sys-apps/systemd:= ) tcmalloc?
        ( dev-util/google-perftools ) virtual/pkgconfig >=app-portage/elt-patches-20170815
        || ( >=sys-devel/automake-1.16.5:1.16 ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
        virtual/pkgconfig
      DEPEND: ssl? ( dev-libs/openssl:0= ) systemd? ( sys-apps/systemd:= ) tcmalloc?
        ( dev-util/google-perftools ) test? ( dev-lang/tcl:0= ssl? ( dev-tcltk/tls
        ) ) sys-apps/shadow
      IUSE: +jemalloc ssl split-conf systemd tcmalloc test
      RDEPEND: ssl? ( dev-libs/openssl:0= ) systemd? ( sys-apps/systemd:= ) tcmalloc?
        ( dev-util/google-perftools ) virtual/tmpfiles
      emerge.packages: dev-db/redis
      kit: core-server-kit
      original.package.name: dev-db/redis
      original.package.slot: "0"
      original.package.version: 7.4.2
    treedir: /build/packages
  package_dir: /pkgdir/redis
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: dc442b08dd0f17a62011712aee97cef5b411d56e90ae8de587e11ae9b6f5b81a
compressiontype: zstd
files:
- etc/conf.d/redis
- etc/conf.d/redis-sentinel
- etc/init.d/redis
- etc/init.d/redis-sentinel
- etc/logrotate.d/redis
- etc/redis/redis.conf
- etc/redis/sentinel.conf
- lib/systemd/system/redis.service
- usr/bin/redis-cli
- usr/lib/tmpfiles.d/redis.conf
- usr/sbin/redis-benchmark
- usr/sbin/redis-check-aof
- usr/sbin/redis-check-rdb
- usr/sbin/redis-sentinel
- usr/sbin/redis-server
- usr/share/doc/redis-7.4.2/00-RELEASENOTES.bz2
- usr/share/doc/redis-7.4.2/BUGS
- usr/share/doc/redis-7.4.2/CONTRIBUTING.md.bz2
- usr/share/doc/redis-7.4.2/MANIFESTO.bz2
- usr/share/doc/redis-7.4.2/README.md.bz2
- var/db/pkg/dev-db/redis-7.4.2/BDEPEND
- var/db/pkg/dev-db/redis-7.4.2/BUILD_TIME
- var/db/pkg/dev-db/redis-7.4.2/CATEGORY
- var/db/pkg/dev-db/redis-7.4.2/CBUILD
- var/db/pkg/dev-db/redis-7.4.2/CFLAGS
- var/db/pkg/dev-db/redis-7.4.2/CHOST
- var/db/pkg/dev-db/redis-7.4.2/CONTENTS
- var/db/pkg/dev-db/redis-7.4.2/COUNTER
- var/db/pkg/dev-db/redis-7.4.2/CTARGET
- var/db/pkg/dev-db/redis-7.4.2/CXX
- var/db/pkg/dev-db/redis-7.4.2/CXXFLAGS
- var/db/pkg/dev-db/redis-7.4.2/DEFINED_PHASES
- var/db/pkg/dev-db/redis-7.4.2/DEPEND
- var/db/pkg/dev-db/redis-7.4.2/DESCRIPTION
- var/db/pkg/dev-db/redis-7.4.2/EAPI
- var/db/pkg/dev-db/redis-7.4.2/FEATURES
- var/db/pkg/dev-db/redis-7.4.2/HOMEPAGE
- var/db/pkg/dev-db/redis-7.4.2/INHERITED
- var/db/pkg/dev-db/redis-7.4.2/IUSE
- var/db/pkg/dev-db/redis-7.4.2/IUSE_EFFECTIVE
- var/db/pkg/dev-db/redis-7.4.2/KEYWORDS
- var/db/pkg/dev-db/redis-7.4.2/LDFLAGS
- var/db/pkg/dev-db/redis-7.4.2/LICENSE
- var/db/pkg/dev-db/redis-7.4.2/NEEDED
- var/db/pkg/dev-db/redis-7.4.2/NEEDED.ELF.2
- var/db/pkg/dev-db/redis-7.4.2/PF
- var/db/pkg/dev-db/redis-7.4.2/RDEPEND
- var/db/pkg/dev-db/redis-7.4.2/REQUIRES
- var/db/pkg/dev-db/redis-7.4.2/RESTRICT
- var/db/pkg/dev-db/redis-7.4.2/SIZE
- var/db/pkg/dev-db/redis-7.4.2/SLOT
- var/db/pkg/dev-db/redis-7.4.2/USE
- var/db/pkg/dev-db/redis-7.4.2/environment.bz2
- var/db/pkg/dev-db/redis-7.4.2/redis-7.4.2.ebuild
- var/db/pkg/dev-db/redis-7.4.2/repository
- var/lib/redis/.keep_dev-db_redis-0
- var/log/redis/.keep_dev-db_redis-0
package_cacheimage: ""
runtime:
  name: redis
  version: 7.4.2
  category: dev-db
  use_flags:
  - -systemd
  - -tcmalloc
  - -test
  - ssl
  requires:
  - name: openssl
    version: '>=0'
    category: dev-libs
  - name: tmpfiles
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A persistent caching system, key-value and data structures database
  uri:
  - https://redis.io
  license: BSD
  labels:
    BDEPEND: ssl? ( dev-libs/openssl:0= ) systemd? ( sys-apps/systemd:= ) tcmalloc?
      ( dev-util/google-perftools ) virtual/pkgconfig >=app-portage/elt-patches-20170815
      || ( >=sys-devel/automake-1.16.5:1.16 ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
      virtual/pkgconfig
    DEPEND: ssl? ( dev-libs/openssl:0= ) systemd? ( sys-apps/systemd:= ) tcmalloc?
      ( dev-util/google-perftools ) test? ( dev-lang/tcl:0= ssl? ( dev-tcltk/tls )
      ) sys-apps/shadow
    IUSE: +jemalloc ssl split-conf systemd tcmalloc test
    RDEPEND: ssl? ( dev-libs/openssl:0= ) systemd? ( sys-apps/systemd:= ) tcmalloc?
      ( dev-util/google-perftools ) virtual/tmpfiles
    emerge.packages: dev-db/redis
    kit: core-server-kit
    original.package.name: dev-db/redis
    original.package.slot: "0"
    original.package.version: 7.4.2
